package es.uv.saic.domain;

import java.io.Serializable;
import java.time.LocalDateTime;

import jakarta.persistence.Column;
import jakarta.persistence.Entity;
import jakarta.persistence.Id;
import jakarta.persistence.IdClass;
import jakarta.persistence.NamedQuery;
import jakarta.persistence.Table;

@Entity
@Table(name="acreditacions")
@NamedQuery(name="Acreditacio.findAll", query="SELECT t FROM Acreditacio t")
@IdClass(AcreditacioPK.class)
public class Acreditacio  implements Serializable {

	private static final long serialVersionUID = 1L;
	
	@Id
	private String tlugar;
	
	@Id
	private Integer lugar;
	
	@Column(name="curs_impla")
	private Integer cursImpla;
	
	@Column(name="data_verif")
	private LocalDateTime dataVerif;
	
	@Column(name="data_renov")
	private LocalDateTime dataRenov;
	
	@Column(name="data_acred")
	private LocalDateTime dataAcred;
	
	@Column(name="data_segui")
	private LocalDateTime dataSegui;
	
	private String grup;
	
	@Column(name="grup_num")
	private Integer grupNum;
	
	@Column(name="grup_curs")
	private Integer grupCurs;
	
	private Boolean inter;

	private Boolean recom;

	private Boolean segui;
		
	public Acreditacio() {}
	

	public String getTlugar() {
		return tlugar;
	}
	public void setTlugar(String tlugar) {
		this.tlugar = tlugar;
	}
	public Integer getLugar() {
		return lugar;
	}
	public void setLugar(Integer lugar) {
		this.lugar = lugar;
	}
	public Integer getCursImpla() {
		return cursImpla;
	}
	public void setCursImpla(Integer cursImpla) {
		this.cursImpla = cursImpla;
	}
	public LocalDateTime getDataVerif() {
		return dataVerif;
	}
	public void setDataVerif(LocalDateTime dataVerif) {
		this.dataVerif = dataVerif;
	}
	public LocalDateTime getDataRenov() {
		return dataRenov;
	}
	public void setDataRenov(LocalDateTime dataRenov) {
		this.dataRenov = dataRenov;
	}
	public LocalDateTime getDataAcred() {
		return dataAcred;
	}
	public void setDataAcred(LocalDateTime dataAcred) {
		this.dataAcred = dataAcred;
	}
	public LocalDateTime getDataSegui() {
		return dataSegui;
	}
	public void setDataSegui(LocalDateTime dataSegui) {
		this.dataSegui = dataSegui;
	}
	public String getGrup() {
		return grup;
	}
	public void setGrup(String grup) {
		this.grup = grup;
	}
	public Integer getGrupCurs() {
		return grupCurs;
	}
	public void setGrupCurs(Integer grupCurs) {
		this.grupCurs = grupCurs;
	}
	public Boolean getInter() {
		return inter;
	}
	public void setInter(Boolean inter) {
		this.inter = inter;
	}
	public Integer getGrupNum() {
		return grupNum;
	}
	public void setGrupNum(Integer grupNum) {
		this.grupNum = grupNum;
	}
	public Boolean getRecom() {
		return recom;
	}
	public void setRecom(Boolean recom) {
		this.recom = recom;
	}
	public Boolean getSegui() {
		return segui;
	}
	public void setSegui(Boolean segui) {
		this.segui = segui;
	}
	public static long getSerialversionuid() {
		return serialVersionUID;
	}
	
}
